diff -Naur -x '*.dia' -x '*.pcap' ns-3.30.1/src/core/test/config-test-suite.cc ns-3.31/src/core/test/config-test-suite.cc
--- ns-3.30.1/src/core/test/config-test-suite.cc	2019-08-12 16:30:34.000000000 -0700
+++ ns-3.31/src/core/test/config-test-suite.cc	2020-06-27 17:38:30.000000000 -0700
@@ -50,8 +50,8 @@
 
 namespace ns3 {
 
-  namespace tests {
-    
+namespace tests {
+
 
 /**
  * \ingroup config-tests
@@ -71,7 +71,7 @@
    * \param a test object a
    */
   void AddNodeA (Ptr<ConfigTestObject> a);
-  /** 
+  /**
    * Add node B function
    * \param b test object b
    */
@@ -161,25 +161,25 @@
   m_nodeB = b;
 }
 
-void 
+void
 ConfigTestObject::AddNodeA (Ptr<ConfigTestObject> a)
 {
   m_nodesA.push_back (a);
 }
 
-void 
+void
 ConfigTestObject::AddNodeB (Ptr<ConfigTestObject> b)
 {
   m_nodesB.push_back (b);
 }
 
-int8_t 
+int8_t
 ConfigTestObject::GetA (void) const
 {
   return m_a;
 }
 
-int8_t 
+int8_t
 ConfigTestObject::GetB (void) const
 {
   return m_b;
@@ -198,9 +198,11 @@
    */
   static TypeId GetTypeId (void);
   /** Constructor. */
-  DerivedConfigTestObject (void) {}
+  DerivedConfigTestObject (void)
+  {}
   /** Destructor */
-  virtual ~DerivedConfigTestObject (void) {}
+  virtual ~DerivedConfigTestObject (void)
+  {}
 };
 
 TypeId
@@ -208,7 +210,7 @@
 {
   static TypeId tid = TypeId ("DerivedConfigTestObject")
     .SetParent<ConfigTestObject> ()
-    ;
+  ;
   return tid;
 }
 
@@ -225,13 +227,19 @@
    */
   static TypeId GetTypeId (void);
   /** Constructor. */
-  BaseConfigObject (void) : m_x(15) {}
+  BaseConfigObject (void) : m_x (15)
+  {}
   /** Destructor. */
-  virtual ~BaseConfigObject (void) {}
+  virtual ~BaseConfigObject (void)
+  {}
+
 private:
   int8_t m_x; //!< X attribute target.
   /** Silence unused variable warning. */
-  void Increment (void) { m_x++; } 
+  void Increment (void)
+  {
+    m_x++;
+  }
 };
 
 TypeId
@@ -243,7 +251,7 @@
                    IntegerValue (10),
                    MakeIntegerAccessor (&BaseConfigObject::m_x),
                    MakeIntegerChecker<int8_t> ())
-    ;
+  ;
   return tid;
 }
 
@@ -260,9 +268,11 @@
    */
   static TypeId GetTypeId (void);
   /** Constructor. */
-  DerivedConfigObject (void) {}
+  DerivedConfigObject (void)
+  {}
   /** Destructor. */
-  virtual ~DerivedConfigObject (void) {}
+  virtual ~DerivedConfigObject (void)
+  {}
 };
 
 TypeId
@@ -270,7 +280,7 @@
 {
   static TypeId tid = TypeId ("DerivedConfigObject")
     .SetParent<BaseConfigObject> ()
-    ;
+  ;
   return tid;
 }
 
@@ -285,7 +295,8 @@
   /** Constructor. */
   RootNamespaceConfigTestCase ();
   /** Destructor. */
-  virtual ~RootNamespaceConfigTestCase () {}
+  virtual ~RootNamespaceConfigTestCase ()
+  {}
 
 private:
   virtual void DoRun (void);
@@ -293,15 +304,14 @@
 
 RootNamespaceConfigTestCase::RootNamespaceConfigTestCase ()
   : TestCase ("Check ability to register a root namespace and use it")
-{
-}
+{}
 
 void
 RootNamespaceConfigTestCase::DoRun (void)
 {
   IntegerValue iv;
   //
-  // Create an object and register its attributes directly in the root 
+  // Create an object and register its attributes directly in the root
   // namespace.
   //
   Ptr<ConfigTestObject> root = CreateObject<ConfigTestObject> ();
@@ -346,7 +356,8 @@
   /** Constructor. */
   UnderRootNamespaceConfigTestCase ();
   /** Destructor. */
-  virtual ~UnderRootNamespaceConfigTestCase () {}
+  virtual ~UnderRootNamespaceConfigTestCase ()
+  {}
 
 private:
   virtual void DoRun (void);
@@ -354,15 +365,14 @@
 
 UnderRootNamespaceConfigTestCase::UnderRootNamespaceConfigTestCase ()
   : TestCase ("Check ability to register an object under the root namespace and use it")
-{
-}
+{}
 
 void
 UnderRootNamespaceConfigTestCase::DoRun (void)
 {
   IntegerValue iv;
   //
-  // Create an object and register its attributes directly in the root 
+  // Create an object and register its attributes directly in the root
   // namespace.
   //
   Ptr<ConfigTestObject> root = CreateObject<ConfigTestObject> ();
@@ -458,7 +468,8 @@
   /** Constructor. */
   ObjectVectorConfigTestCase ();
   /** Destructor. */
-  virtual ~ObjectVectorConfigTestCase () {}
+  virtual ~ObjectVectorConfigTestCase ()
+  {}
 
 private:
   virtual void DoRun (void);
@@ -466,8 +477,7 @@
 
 ObjectVectorConfigTestCase::ObjectVectorConfigTestCase ()
   : TestCase ("Check ability to configure vectors of Object using regular expressions")
-{
-}
+{}
 
 void
 ObjectVectorConfigTestCase::DoRun (void)
@@ -493,7 +503,7 @@
   a->SetNodeB (b);
 
   //
-  // Add four objects to the ObjectVector Attribute at the bottom of the 
+  // Add four objects to the ObjectVector Attribute at the bottom of the
   // object hierarchy.  By this point, we believe that the Attributes
   // will be initialized correctly.
   //
@@ -615,17 +625,18 @@
   /** Constructor. */
   ObjectVectorTraceConfigTestCase ();
   /** Destructor. */
-  virtual ~ObjectVectorTraceConfigTestCase () {}
+  virtual ~ObjectVectorTraceConfigTestCase ()
+  {}
 
   /**
    * Trace callback without context.
    * \param oldValue The old value.
    * \param newValue The new value.
    */
-  void Trace (int16_t oldValue, int16_t newValue) 
-  { 
-    NS_UNUSED (oldValue); 
-    m_newValue = newValue; 
+  void Trace (int16_t oldValue, int16_t newValue)
+  {
+    NS_UNUSED (oldValue);
+    m_newValue = newValue;
   }
   /**
    * Trace callback with context path.
@@ -634,10 +645,10 @@
    * \param newValue The new value.
    */
   void TraceWithPath (std::string path, int16_t old, int16_t newValue)
-  { 
-    NS_UNUSED (old); 
-    m_newValue = newValue; 
-    m_path = path; 
+  {
+    NS_UNUSED (old);
+    m_newValue = newValue;
+    m_path = path;
   }
 
 private:
@@ -649,8 +660,7 @@
 
 ObjectVectorTraceConfigTestCase::ObjectVectorTraceConfigTestCase ()
   : TestCase ("Check ability to trace connect through vectors of Object using regular expressions")
-{
-}
+{}
 
 void
 ObjectVectorTraceConfigTestCase::DoRun (void)
@@ -676,7 +686,7 @@
   a->SetNodeB (b);
 
   //
-  // Add four objects to the ObjectVector Attribute at the bottom of the 
+  // Add four objects to the ObjectVector Attribute at the bottom of the
   // object hierarchy.  By this point, we believe that the Attributes
   // will be initialized correctly.
   //
@@ -691,29 +701,29 @@
 
   //
   // Do a trace connect to some of the sources.  We already checked parsing of
-  // the regular expressions, so we'll concentrate on the tracing part of the 
+  // the regular expressions, so we'll concentrate on the tracing part of the
   // puzzle here.
   //
-  Config::ConnectWithoutContext ("/NodeA/NodeB/NodesB/[0-1]|3/Source", 
+  Config::ConnectWithoutContext ("/NodeA/NodeB/NodesB/[0-1]|3/Source",
                                  MakeCallback (&ObjectVectorTraceConfigTestCase::Trace, this));
 
-  // 
-  // If we bug the trace source referred to by index '0' above, we should see 
+  //
+  // If we bug the trace source referred to by index '0' above, we should see
   // the trace fire.
   //
   m_newValue = 0;
   obj0->SetAttribute ("Source", IntegerValue (-1));
   NS_TEST_ASSERT_MSG_EQ (m_newValue, -1, "Trace 0 did not fire as expected");
 
-  // 
-  // If we bug the trace source referred to by index '1' above, we should see 
+  //
+  // If we bug the trace source referred to by index '1' above, we should see
   // the trace fire.
   //
   m_newValue = 0;
   obj1->SetAttribute ("Source", IntegerValue (-2));
   NS_TEST_ASSERT_MSG_EQ (m_newValue, -2, "Trace 1 did not fire as expected");
 
-  // 
+  //
   // If we bug the trace source referred to by index '2' which is skipped above,
   // we should not see the trace fire.
   //
@@ -721,8 +731,8 @@
   obj2->SetAttribute ("Source", IntegerValue (-3));
   NS_TEST_ASSERT_MSG_EQ (m_newValue, 0, "Trace 2 fired unexpectedly");
 
-  // 
-  // If we bug the trace source referred to by index '3' above, we should see 
+  //
+  // If we bug the trace source referred to by index '3' above, we should see
   // the trace fire.
   //
   m_newValue = 0;
@@ -732,11 +742,11 @@
   //
   // Do a trace connect (with context) to some of the sources.
   //
-  Config::Connect ("/NodeA/NodeB/NodesB/[0-1]|3/Source", 
+  Config::Connect ("/NodeA/NodeB/NodesB/[0-1]|3/Source",
                    MakeCallback (&ObjectVectorTraceConfigTestCase::TraceWithPath, this));
 
-  // 
-  // If we bug the trace source referred to by index '0' above, we should see 
+  //
+  // If we bug the trace source referred to by index '0' above, we should see
   // the trace fire with the expected context path.
   //
   m_newValue = 0;
@@ -745,8 +755,8 @@
   NS_TEST_ASSERT_MSG_EQ (m_newValue, -1, "Trace 0 did not fire as expected");
   NS_TEST_ASSERT_MSG_EQ (m_path, "/NodeA/NodeB/NodesB/0/Source", "Trace 0 did not provide expected context");
 
-  // 
-  // If we bug the trace source referred to by index '1' above, we should see 
+  //
+  // If we bug the trace source referred to by index '1' above, we should see
   // the trace fire with the expected context path.
   //
   m_newValue = 0;
@@ -755,7 +765,7 @@
   NS_TEST_ASSERT_MSG_EQ (m_newValue, -2, "Trace 1 did not fire as expected");
   NS_TEST_ASSERT_MSG_EQ (m_path, "/NodeA/NodeB/NodesB/1/Source", "Trace 1 did not provide expected context");
 
-  // 
+  //
   // If we bug the trace source referred to by index '2' which is skipped above,
   // we should not see the trace fire.
   //
@@ -764,8 +774,8 @@
   obj2->SetAttribute ("Source", IntegerValue (-3));
   NS_TEST_ASSERT_MSG_EQ (m_newValue, 0, "Trace 2 fired unexpectedly");
 
-  // 
-  // If we bug the trace source referred to by index '3' above, we should see 
+  //
+  // If we bug the trace source referred to by index '3' above, we should see
   // the trace fire with the expected context path.
   //
   m_newValue = 0;
@@ -789,7 +799,8 @@
   /** Constructor. */
   SearchAttributesOfParentObjectsTestCase ();
   /** Destructor. */
-  virtual ~SearchAttributesOfParentObjectsTestCase () {}
+  virtual ~SearchAttributesOfParentObjectsTestCase ()
+  {}
 
 private:
   virtual void DoRun (void);
@@ -798,8 +809,7 @@
 
 SearchAttributesOfParentObjectsTestCase::SearchAttributesOfParentObjectsTestCase ()
   : TestCase ("Check that attributes of base class are searchable from paths including objects of derived class")
-{
-}
+{}
 
 void
 SearchAttributesOfParentObjectsTestCase::DoRun (void)
@@ -819,7 +829,7 @@
   root->SetNodeA (a);
 
   //
-  // BaseConfigObject has attribute X, but we aggregate DerivedConfigObject 
+  // BaseConfigObject has attribute X, but we aggregate DerivedConfigObject
   // instead
   //
   Ptr<DerivedConfigObject> derived = CreateObject<DerivedConfigObject> ();
@@ -857,7 +867,7 @@
 static ConfigTestSuite g_configTestSuite;
 
 
-  }  // namespace tests
+}    // namespace tests
 
 }  // namespace ns3
-    
+
diff -Naur -x '*.dia' -x '*.pcap' ns-3.30.1/src/core/test/core-example-command-line.reflog ns-3.31/src/core/test/core-example-command-line.reflog
--- ns-3.30.1/src/core/test/core-example-command-line.reflog	1969-12-31 16:00:00.000000000 -0800
+++ ns-3.31/src/core/test/core-example-command-line.reflog	2020-06-27 17:38:30.000000000 -0700
@@ -0,0 +1,20 @@
+
+command-line-example
+Initial values:
+intArg:   1
+boolArg:  false
+strArg:   "strArg default"
+anti:     "false"
+cbArg:    "cbArg default"
+nonOpt1:  1
+nonOpt2:  1
+
+Final values:
+intArg:   1
+boolArg:  false
+strArg:   "strArg default"
+anti:     "false"
+cbArg:    "cbArg default"
+nonOpt1:  1
+nonOpt2:  1
+Number of extra non-option arguments:0
diff -Naur -x '*.dia' -x '*.pcap' ns-3.30.1/src/core/test/core-example-sample-random-variable.reflog ns-3.31/src/core/test/core-example-sample-random-variable.reflog
--- ns-3.30.1/src/core/test/core-example-sample-random-variable.reflog	1969-12-31 16:00:00.000000000 -0800
+++ ns-3.31/src/core/test/core-example-sample-random-variable.reflog	2020-06-27 17:38:30.000000000 -0700
@@ -0,0 +1 @@
+0.816532
diff -Naur -x '*.dia' -x '*.pcap' ns-3.30.1/src/core/test/core-example-simulator.reflog ns-3.31/src/core/test/core-example-simulator.reflog
--- ns-3.30.1/src/core/test/core-example-simulator.reflog	1969-12-31 16:00:00.000000000 -0800
+++ ns-3.31/src/core/test/core-example-simulator.reflog	2020-06-27 17:38:30.000000000 -0700
@@ -0,0 +1,3 @@
+ExampleFunction received event at 10s
+RandomFunction received event at 18.1653s
+Member method received event at 20s started at 10s
diff -Naur -x '*.dia' -x '*.pcap' ns-3.30.1/src/core/test/event-garbage-collector-test-suite.cc ns-3.31/src/core/test/event-garbage-collector-test-suite.cc
--- ns-3.30.1/src/core/test/event-garbage-collector-test-suite.cc	2019-08-12 16:30:34.000000000 -0700
+++ ns-3.31/src/core/test/event-garbage-collector-test-suite.cc	2020-06-27 17:38:30.000000000 -0700
@@ -36,8 +36,8 @@
 
 namespace ns3 {
 
-  namespace tests {
-    
+namespace tests {
+
 
 /**
  * \ingroup event-garbage-tests
@@ -62,12 +62,10 @@
 
 EventGarbageCollectorTestCase::EventGarbageCollectorTestCase ()
   : TestCase ("EventGarbageCollector"), m_counter (0), m_events (0)
-{
-}
+{}
 
 EventGarbageCollectorTestCase::~EventGarbageCollectorTestCase ()
-{
-}
+{}
 
 void
 EventGarbageCollectorTestCase::EventGarbageCollectorCallback ()
@@ -106,7 +104,7 @@
 {
 public:
   EventGarbageCollectorTestSuite ()
-    : TestSuite ("event-garbage-collector") 
+    : TestSuite ("event-garbage-collector")
   {
     AddTestCase (new EventGarbageCollectorTestCase ());
   }
@@ -119,7 +117,7 @@
 static EventGarbageCollectorTestSuite g_eventGarbageCollectorTestSuite;
 
 
-  }  // namespace tests
+}    // namespace tests
 
 }  // namespace ns3
-    
+
diff -Naur -x '*.dia' -x '*.pcap' ns-3.30.1/src/core/test/examples-as-tests-test-suite.cc ns-3.31/src/core/test/examples-as-tests-test-suite.cc
--- ns-3.30.1/src/core/test/examples-as-tests-test-suite.cc	1969-12-31 16:00:00.000000000 -0800
+++ ns-3.31/src/core/test/examples-as-tests-test-suite.cc	2020-06-27 17:38:30.000000000 -0700
@@ -0,0 +1,88 @@
+/* -*- Mode:C++; c-file-style:"gnu"; indent-tabs-mode:nil; -*- */
+/*
+ * Copyright (c) 2020 Lawrence Livermore National Laboratory
+ *
+ * This program is free software; you can redistribute it and/or modify
+ * it under the terms of the GNU General Public License version 2 as
+ * published by the Free Software Foundation;
+ *
+ * This program is distributed in the hope that it will be useful,
+ * but WITHOUT ANY WARRANTY; without even the implied warranty of
+ * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
+ * GNU General Public License for more details.
+ *
+ * You should have received a copy of the GNU General Public License
+ * along with this program; if not, write to the Free Software
+ * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
+ *
+ * Author: Peter D. Barnes, Jr. <pdbarnes@llnl.gov>
+ */
+
+#include "ns3/example-as-test.h"
+#include "ns3/system-path.h"
+
+#include <vector>
+
+using namespace ns3;
+
+/**
+ * \file
+ * \ingroup core-tests
+ * \ingroup examples-as-tests
+ * Examples-as-tests test suite
+ */
+
+/**
+ * \ingroup core-tests
+ * \defgroup examples-as-tests Examples as tests test suite
+ *
+ * Runs several examples as tests in order to test ExampleAsTestSuite and ExampleAsTestCase.
+ */
+namespace ns3 {
+
+namespace tests {
+/**
+ * \ingroup examples-as-tests
+ * Run examples as tests, checking stdout for regressions.
+ */
+class ExamplesAsTestsTestSuite : public TestSuite
+{
+public:
+  ExamplesAsTestsTestSuite ();
+};
+
+
+ExamplesAsTestsTestSuite::ExamplesAsTestsTestSuite ()
+  : TestSuite ("examples-as-tests-test-suite", UNIT)
+{
+  AddTestCase (new ExampleAsTestCase ("core-example-simulator", "sample-simulator", NS_TEST_SOURCEDIR));
+
+  AddTestCase (new ExampleAsTestCase ("core-example-sample-random-variable", "sample-random-variable", NS_TEST_SOURCEDIR));
+
+  AddTestCase (new ExampleAsTestCase ("core-example-command-line", "command-line-example", NS_TEST_SOURCEDIR));
+}
+
+/**
+ * \ingroup examples-tests
+ * ExampleAsTestsTestSuite instance variable.
+ * Tests multiple examples in a single TestSuite using AddTestCase to add the examples to the suite.
+ */
+static ExamplesAsTestsTestSuite g_examplesAsTestsTestSuite;
+
+/**
+ * \ingroup examples-tests
+ * ExampleTestSuite instance variables.
+ *
+ * Tests ExampleTestSuite which runs a single example as test suite as specified in constructor arguments.
+ */
+
+static ExampleAsTestSuite g_exampleCommandLineTest ("core-example-command-line", "command-line-example", NS_TEST_SOURCEDIR);
+
+}  // namespace tests
+
+}  // namespace ns3
+
+
+
+
+
diff -Naur -x '*.dia' -x '*.pcap' ns-3.30.1/src/core/test/global-value-test-suite.cc ns-3.31/src/core/test/global-value-test-suite.cc
--- ns-3.30.1/src/core/test/global-value-test-suite.cc	2019-08-12 16:30:34.000000000 -0700
+++ ns-3.31/src/core/test/global-value-test-suite.cc	2020-06-27 17:38:30.000000000 -0700
@@ -36,8 +36,8 @@
 
 namespace ns3 {
 
-  namespace tests {
-    
+namespace tests {
+
 
 /**
  * \ingroup global-value-tests
@@ -49,7 +49,8 @@
   /** Constructor. */
   GlobalValueTestCase ();
   /** Destructor. */
-  virtual ~GlobalValueTestCase () {}
+  virtual ~GlobalValueTestCase ()
+  {}
 
 private:
   virtual void DoRun (void);
@@ -57,14 +58,13 @@
 
 GlobalValueTestCase::GlobalValueTestCase ()
   : TestCase ("Check GlobalValue mechanism")
-{
-}
+{}
 
 void
 GlobalValueTestCase::DoRun (void)
 {
   //
-  // Typically these are static globals but we can make one on the stack to 
+  // Typically these are static globals but we can make one on the stack to
   // keep it hidden from the documentation.
   //
   GlobalValue uint = GlobalValue ("TestUint", "help text",
@@ -116,7 +116,7 @@
 static GlobalValueTestSuite g_globalValueTestSuite;
 
 
-  }  // namespace tests
+}    // namespace tests
 
 }  // namespace ns3
-    
+
diff -Naur -x '*.dia' -x '*.pcap' ns-3.30.1/src/core/test/hash-test-suite.cc ns-3.31/src/core/test/hash-test-suite.cc
--- ns-3.30.1/src/core/test/hash-test-suite.cc	2019-08-12 16:30:34.000000000 -0700
+++ ns-3.31/src/core/test/hash-test-suite.cc	2020-06-27 17:38:30.000000000 -0700
@@ -40,8 +40,8 @@
 
 namespace ns3 {
 
-  namespace tests {
-    
+namespace tests {
+
 
 /**
  * \ingroup hash-tests
@@ -54,10 +54,11 @@
    * Constructor
    *
    * \param [in] name reference name
-   */ 
+   */
   HashTestCase (const std::string name);
   /** Destructor. */
   virtual ~HashTestCase ();
+
 protected:
   /**
    * Check function
@@ -71,7 +72,7 @@
    * \param [in] hash the hash value
    */
   void Check ( const std::string hashName, const uint64_t hash);
-  
+
   std::string key;           //!< The reference value to hash.
   uint32_t hash32Reference;  //!< The 32-bit hash of the reference.
   uint64_t hash64Reference;  //!< The 64-bit hash of the reference.
@@ -91,12 +92,10 @@
 HashTestCase::HashTestCase (const std::string name)
   : TestCase (name),
     key ("The quick brown fox jumped over the lazy dogs.")
-{
-}
+{}
 
 HashTestCase::~HashTestCase ()
-{
-}
+{}
 
 void
 HashTestCase::Check ( const std::string hashName, const uint32_t hash)
@@ -135,9 +134,9 @@
             << bits     << "-bit result...";
   NS_TEST_EXPECT_MSG_EQ (hash, hashRef,
                          hashName << " " << type
-                         << " produced "  << std::hex << std::setw (w) << hash
-                         << ", expected " << std::hex << std::setw (w) << hashRef
-                         << std::dec
+                                  << " produced "  << std::hex << std::setw (w) << hash
+                                  << ", expected " << std::hex << std::setw (w) << hashRef
+                                  << std::dec
                          );
   std::cout << std::hex << std::setw (w) << hash << ", ok"
             << std::dec << std::endl;
@@ -145,8 +144,7 @@
 
 void
 HashTestCase::DoRun (void)
-{
-}
+{}
 
 
 /**
@@ -160,18 +158,17 @@
   DefaultHashTestCase ();
   /** Destructor. */
   virtual ~DefaultHashTestCase ();
+
 private:
   virtual void DoRun (void);
 };
 
 DefaultHashTestCase::DefaultHashTestCase ()
   : HashTestCase ("DefaultHash: ")
-{
-}
+{}
 
 DefaultHashTestCase::~DefaultHashTestCase ()
-{
-}
+{}
 
 void
 DefaultHashTestCase::DoRun (void)
@@ -197,18 +194,17 @@
   Fnv1aTestCase ();
   /** Destructor. */
   virtual ~Fnv1aTestCase ();
+
 private:
   virtual void DoRun (void);
 };
 
 Fnv1aTestCase::Fnv1aTestCase ()
   : HashTestCase ("Fnv1a: ")
-{
-}
+{}
 
 Fnv1aTestCase::~Fnv1aTestCase ()
-{
-}
+{}
 
 void
 Fnv1aTestCase::DoRun (void)
@@ -233,18 +229,17 @@
   Murmur3TestCase ();
   /** Destructor. */
   virtual ~Murmur3TestCase ();
+
 private:
   virtual void DoRun (void);
 };
 
 Murmur3TestCase::Murmur3TestCase ()
   : HashTestCase ("Murmur3: ")
-{
-}
+{}
 
 Murmur3TestCase::~Murmur3TestCase ()
-{
-}
+{}
 
 void
 Murmur3TestCase::DoRun (void)
@@ -270,7 +265,7 @@
  * \param [in,out] buffer The data to hash.
  * \param [in] size The buffer size.
  * \returns The checksum of the buffer contents.
- */ 
+ */
 uint16_t
 gnu_sum (const char * buffer, const std::size_t size)
 {
@@ -322,18 +317,17 @@
   Hash32FunctionPtrTestCase ();
   /** Destructor. */
   virtual ~Hash32FunctionPtrTestCase ();
+
 private:
   virtual void DoRun (void);
 };
 
 Hash32FunctionPtrTestCase::Hash32FunctionPtrTestCase ()
   : HashTestCase ("Hash32FunctionPtr: ")
-{
-}
+{}
 
 Hash32FunctionPtrTestCase::~Hash32FunctionPtrTestCase ()
-{
-}
+{}
 
 void
 Hash32FunctionPtrTestCase::DoRun (void)
@@ -354,18 +348,17 @@
   Hash64FunctionPtrTestCase ();
   /** Destructor. */
   virtual ~Hash64FunctionPtrTestCase ();
+
 private:
   virtual void DoRun (void);
 };
 
 Hash64FunctionPtrTestCase::Hash64FunctionPtrTestCase ()
   : HashTestCase ("Hash64FunctionPtr: ")
-{
-}
+{}
 
 Hash64FunctionPtrTestCase::~Hash64FunctionPtrTestCase ()
-{
-}
+{}
 
 void
 Hash64FunctionPtrTestCase::DoRun (void)
@@ -378,7 +371,7 @@
 /**
  * \ingroup hash-tests
  * Test incremental hashing
- */  
+ */
 class IncrementalTestCase : public HashTestCase
 {
 public:
@@ -386,6 +379,7 @@
   IncrementalTestCase ();
   /** Destructor. */
   virtual ~IncrementalTestCase ();
+
 private:
   virtual void DoRun (void);
   /**
@@ -401,12 +395,10 @@
 
 IncrementalTestCase::IncrementalTestCase ()
   : HashTestCase ("Incremental: ")
-{
-}
+{}
 
 IncrementalTestCase::~IncrementalTestCase ()
-{
-}
+{}
 
 void
 IncrementalTestCase::DoHash (const std::string name, Hasher hasher)
@@ -468,6 +460,6 @@
 static HashTestSuite g_hashTestSuite;
 
 
-  }  // namespace tests
+}    // namespace tests
 
 }  // namespace ns3
